<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Wed Aug 25 22:08:27 CEST 2021 -->
<title>F-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-25">
<meta name="description" content="index: F">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html#findByClasse(com.zelyvanna.bdoefficiency.model.Classe)">findByClasse(Classe)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">CharacterRepository</a></dt>
<dd>
<div class="block">Search for Characters having a specific class</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html#findById(int)">findById(int)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">CharacterRepository</a></dt>
<dd>
<div class="block">Finds a Character by its id</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/ClasseRepository.html#findById(int)">findById(int)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/ClasseRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ClasseRepository</a></dt>
<dd>
<div class="block">Finds a Classe by its id</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/GrindItemRepository.html#findById(int)">findById(int)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/GrindItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindItemRepository</a></dt>
<dd>
<div class="block">Finds a GrindItem by its id</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html#findById(int)">findById(int)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindRepository</a></dt>
<dd>
<div class="block">Finds a grindspot by its id</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html#findById(int)">findById(int)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindspotRepository</a></dt>
<dd>
<div class="block">Finds a grindspot by its id</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/ItemRepository.html#findById(int)">findById(int)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/ItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ItemRepository</a></dt>
<dd>
<div class="block">Finds an item by its id</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/RoleRepository.html#findByName(com.zelyvanna.bdoefficiency.model.ERole)">findByName(ERole)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/RoleRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">RoleRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html#findByNameContaining(java.lang.String)">findByNameContaining(String)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">CharacterRepository</a></dt>
<dd>
<div class="block">Search for the Character's names containing the name in parameter</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/ClasseRepository.html#findByNameContaining(java.lang.String)">findByNameContaining(String)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/ClasseRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ClasseRepository</a></dt>
<dd>
<div class="block">Search for the Classe's names containing the name in parameter</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html#findByNameContaining(java.lang.String)">findByNameContaining(String)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindspotRepository</a></dt>
<dd>
<div class="block">Search for the grindspots's names containing the name in parameter</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/ItemRepository.html#findByNameContaining(java.lang.String)">findByNameContaining(String)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/ItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ItemRepository</a></dt>
<dd>
<div class="block">Search for the items's names containing the name in parameter</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html#findByUser(com.zelyvanna.bdoefficiency.model.User)">findByUser(User)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">CharacterRepository</a></dt>
<dd>
<div class="block">Search for the Characters having the user in parameter as owner</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html#findByUser(com.zelyvanna.bdoefficiency.model.User)">findByUser(User)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindRepository</a></dt>
<dd>
<div class="block">Find grinds by their user</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html#findByUserAndGrindspot(com.zelyvanna.bdoefficiency.model.User,com.zelyvanna.bdoefficiency.model.Grindspot)">findByUserAndGrindspot(User, Grindspot)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindRepository</a></dt>
<dd>
<div class="block">Find grinds by their user and their grindspot</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/UserRepository.html#findByUsername(java.lang.String)">findByUsername(String)</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/UserRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">UserRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html#findTop10ByOrderByIdDesc()">findTop10ByOrderByIdDesc()</a></span> - Method in interface com.zelyvanna.bdoefficiency.repository.<a href="../com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindRepository</a></dt>
<dd>
<div class="block">Finds the 10 last grindspots created (10 biggest ids)</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
